JsonCpp project page | Classes | Namespace | JsonCpp home page

Json::StreamWriter::Factory Class Referenceabstract

A simple abstract factory. More...

`#include <json/writer.h>`

Inherited by Json::StreamWriterBuilder.

## Public Member Functions

virtual | ~Factory ()
virtual StreamWriter * | newStreamWriter () const =0
| Allocate a CharReader via operator new().

## Detailed Description

A simple abstract factory.

Definition at line 59 of file writer.h.

## Constructor & Destructor Documentation

## ~Factory()

Json::StreamWriter::Factory::~Factory | ( |  | ) |

virtual default

## Member Function Documentation

## newStreamWriter()

virtual StreamWriter * Json::StreamWriter::Factory::newStreamWriter | ( |  | ) | const

pure virtual

Allocate a CharReader via operator new().

Exceptions

  std::exception | if something goes wrong (e.g. invalid settings)

Implemented in Json::StreamWriterBuilder.

References Json::StreamWriter::StreamWriter().

Referenced by Json::writeString().

The documentation for this class was generated from the following files:

- include/json/writer.h
- src/lib_json/json_writer.cpp